Sample: EnumVal

EnumVal

EnumVal shows how to enumerate the markup decls in a DTD Grammar.

Running EnumVal

This program parses the specified XML file, then shows how to enumerate the contents of the DTD Grammar.

    Usage:
        EnumVal <XML file>

    This program parses the specified XML file, then shows how to
    enumerate the contents of the DTD Grammar. Essentially,
    shows how one can access the DTD information stored in internal
    data structures.

Here is a sample output from EnumVal

    cd &XercesCInstallDir;-linux/samples/data
    EnumVal personal.xml

    ELEMENTS:
    ----------------------------
      Name: personnel
      Content Model: (person)+

      Name: person
      Content Model: (name,email*,url*,link?)
      Attributes:
        Name:id, Type: ID

      Name: name
      Content Model: (#PCDATA|family|given)*

      Name: email
      Content Model: (#PCDATA)*

      Name: url
      Content Model: EMPTY
      Attributes:
        Name:href, Type: CDATA

      Name: link
      Content Model: EMPTY
      Attributes:
        Name:subordinates, Type: IDREF(S)
        Name:manager, Type: IDREF(S)

      Name: family
      Content Model: (#PCDATA)*

      Name: given
      Content Model: (#PCDATA)*